name: "mocks-{{.Release.Name}}"
function: testing
domain: mocks
instances: ["01", "02", "03", "04", "05"]
entrypoints:
  - name: "ska_tmc_common.test_helpers.helper_subarray_device.HelperSubArrayDevice"
  - name: "ska_tmc_common.test_helpers.helper_mccs_subarray_leaf_device.HelperMccsSubarrayLeafDevice"
  - name: "ska_tmc_common.test_helpers.helper_sdp_subarray_leaf_device.HelperSdpSubarrayLeafDevice"
  - name: "ska_tmc_common.test_helpers.helper_csp_subarray_leaf_device.HelperCspSubarrayLeafDevice"
  - name: "ska_tmc_common.test_helpers.helper_sdp_subarray.HelperSdpSubarray"
server:
  name: "mocks"
  instances:
    - name: "01"
      classes:
      - name: "HelperSubArrayDevice"
        devices:
        {{- if .Values.deviceServers.mocks.component.csp }}
        - name: "low-csp/subarray/01"
        {{- end }}
        {{- if .Values.deviceServers.mocks.component.mccs }}
        - name: "low-mccs/subarray/01"
        {{- end }}

    - name: "02"
      classes:
      - name: "HelperMccsSubarrayLeafDevice"
        devices:
        {{- if .Values.deviceServers.mocks.component.mccs }}
        - name: "low-tmc/subarray-leaf-node-mccs/01"
        {{- end }}

    - name: "03"
      classes:
      - name: "HelperCspSubarrayLeafDevice"
        devices:
        {{- if .Values.deviceServers.mocks.component.csp }}
        - name: "low-tmc/subarray-leaf-node-csp/01"
        {{- end }}

    - name: "04"
      classes:
      - name: "HelperSdpSubarrayLeafDevice"
        devices:
        {{- if .Values.deviceServers.mocks.component.sdp }}
        - name: "low-tmc/subarray-leaf-node-sdp/01"
        {{- end }}

    - name: "05"
      classes:
      - name: "HelperSdpSubarray"
        devices:
        {{- if .Values.deviceServers.mocks.component.sdp }}
        - name: "low-sdp/subarray/01"
        {{- end }}


depends_on:
  - device: sys/database/2
image:
  registry: "{{.Values.subarray_node.image.registry}}"
  image: "{{.Values.subarray_node.image.image}}"
  tag: "{{.Values.subarray_node.image.tag}}"
  pullPolicy: "{{.Values.subarray_node.image.pullPolicy}}"
